NativeBinariesTestPlugin.Rules (Gradle API 9.5.0)
Description: declaration: package: org.gradle.nativeplatform.test.plugins, class: NativeBinariesTestPlugin, class: Rules

Package org.gradle.nativeplatform.test.plugins

# Class NativeBinariesTestPlugin.Rules

java.lang.Object
org.gradle.model.RuleSource
org.gradle.nativeplatform.test.plugins.NativeBinariesTestPlugin.Rules

Enclosing class:
  `NativeBinariesTestPlugin`

static class NativeBinariesTestPlugin.Rules extends RuleSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Rules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `attachTestedBinarySourcesToTestBinaries(org.gradle.nativeplatform.test.internal.NativeTestSuiteBinarySpecInternal testSuiteBinary)`
  `(package private) void`
  `configureRunTask(org.gradle.nativeplatform.test.internal.NativeTestSuiteBinarySpecInternal testSuiteBinary)`
  `(package private) void`
  `nativeTestSuiteBinary(TypeBuilder<NativeTestSuiteBinarySpec> builder)`
  `(package private) void`
  `registerNativeDependentBinariesResolutionStrategyTestSupport(org.gradle.platform.base.internal.dependents.DependentBinariesResolver resolver)`
  `void`
  `wireBuildDependentsTasks(ModelMap<Task> tasks, TestSuiteContainer testSuites, BinaryContainer binaries, org.gradle.platform.base.internal.dependents.DependentBinariesResolver dependentsResolver, org.gradle.internal.service.ServiceRegistry serviceRegistry)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Rules

    Rules()

- ## Method Details

  - ### nativeTestSuiteBinary

    void nativeTestSuiteBinary(TypeBuilder<NativeTestSuiteBinarySpec> builder)

  - ### attachTestedBinarySourcesToTestBinaries

    void attachTestedBinarySourcesToTestBinaries(org.gradle.nativeplatform.test.internal.NativeTestSuiteBinarySpecInternal testSuiteBinary)

  - ### configureRunTask

    void configureRunTask(org.gradle.nativeplatform.test.internal.NativeTestSuiteBinarySpecInternal testSuiteBinary)

  - ### registerNativeDependentBinariesResolutionStrategyTestSupport

    void registerNativeDependentBinariesResolutionStrategyTestSupport(org.gradle.platform.base.internal.dependents.DependentBinariesResolver resolver)

  - ### wireBuildDependentsTasks

    public void wireBuildDependentsTasks(ModelMap<Task> tasks, TestSuiteContainer testSuites, BinaryContainer binaries, org.gradle.platform.base.internal.dependents.DependentBinariesResolver dependentsResolver, org.gradle.internal.service.ServiceRegistry serviceRegistry)